Get campaigns

Returns a paginated list of events. Accepts the same filters and sort options as GET /apis/events.

Query Parameters
  • limit
    Type: integer
    min:  
    1
    max:  
    1000

    Maximum number of objects to return. Range: 1–1000.

  • skip
    Type: integer
    min:  
    0

    Number of objects to skip for pagination.

  • statuses
    Type: string

    Filters by matching event results that match one of the following values: upcoming | in_progress | ended

  • teams
    Type: string

    Filters by matching event results matching the creator team_ids specified

  • creators
    Type: string

    Filters the results by only matching event results with the requested created_by_id

  • sort_field
    Type: string

    Sorting supports currently the following fields: created_at, start_date, end_date, start_registrations_date and end_registrations_date

  • sort_order
    Type: string

    Defines the sorting order of the events returned, it must be one of: asc, desc

Responses
  • application/json
  • application/json
  • application/json
Request Example for get/apis/events/events
curl 'https://school.fullfabric.cloud/apis/events/events?limit=10&skip=0&statuses=&teams=&creators=&sort_field=&sort_order=' \
  --header 'FF-Auth: YOUR_SECRET_TOKEN'
[
  {
    "id": "6853fa79f398a6277f9cce6f",
    "name": "MBA Open Day – London",
    "created_by_id": "6385baa4976a771912000511",
    "created_at": 1710000000,
    "updated_at": 1710347003,
    "start_date": 1714982400,
    "end_date": 1715068800,
    "start_registrations_date": 1712000000,
    "end_registrations_date": 1714896000,
    "timezone": "Europe/London",
    "location": "Primrose Business School, London",
    "address": "12 Regent Street, London W1B 5PW",
    "views": 843,
    "number_of_responses": 312,
    "number_of_attendees": 287,
    "number_of_yes": 312,
    "number_of_maybe": 24,
    "number_of_no": 8,
    "team_ids": [
      "6385ba98976a7719120001ab"
    ]
  },
  {
    "id": "681b8a44f398a67c18867716",
    "name": "Executive MBA Information Webinar",
    "created_by_id": "6385baa4976a77191200051a",
    "created_at": 1712000000,
    "updated_at": 1712086400,
    "start_date": 1715068800,
    "end_date": 1715083200,
    "start_registrations_date": 1712000000,
    "end_registrations_date": null,
    "timezone": "Europe/London",
    "location": "Online (Zoom)",
    "address": null,
    "views": 521,
    "number_of_responses": 198,
    "number_of_attendees": 0,
    "number_of_yes": 198,
    "number_of_maybe": 14,
    "number_of_no": 3,
    "team_ids": [
      "6385ba98976a7719120001ab"
    ]
  }
]